<script setup>
import { useDialogPluginComponent } from 'quasar';
import WorkerSummary from './WorkerSummary.vue';

const $props = defineProps({
    id: {
        type: Number,
        required: true,
    },
});

defineEmits([...useDialogPluginComponent.emits]);

const { dialogRef, onDialogHide } = useDialogPluginComponent();
</script>

<template>
    <QDialog ref="dialogRef" @hide="onDialogHide">
        <WorkerSummary v-if="$props.id" :id="$props.id" />
    </QDialog>
</template>
